module DND.Bob (bob) where

import           DND.Sheet.Content

bob :: Character
bob = Character {skills = testSkills, trivia = testTrivia, stats = testStats, spells = Just testSpells, preamble = testPreamble, feats = Just testFeatures}

testStats :: [Stat]
testStats = [strStat, dexStat, conStat, intStat, wisStat, chaStat]

testPreamble :: Preamble
testPreamble = Preamble 1 "Bob" "Elf" "Fighter" False

testTrivia :: Trivia
testTrivia = Trivia "farmer" "none" "I me likey fun things" "yay" "all" "idk"

strStat :: Stat
strStat = Stat "Strength" 10 False

strSkills :: [Skill]
strSkills = [ Skill "Athletics" None "Strength" ]

dexStat :: Stat
dexStat = Stat "Dexterity" 10 False

dexSkills :: [Skill]
dexSkills = [ Skill "Acrobatics" None "Dexterity"
            , Skill "Sleight of Hand" None "Dexterity"
            , Skill "Stealth" None "Dexterity"
            ]

conStat :: Stat
conStat = Stat "Constitution" 10 False

intStat :: Stat
intStat = Stat "Intelligence" 10 False

intSkills :: [Skill]
intSkills = [ Skill "Arcana" None "Intelligence"
            , Skill "History" None "Intelligence"
            , Skill "Investigation" None "Intelligence"
            , Skill "Nature" None "Intelligence"
            , Skill "Religion" None "Intelligence"
            ]

wisStat :: Stat
wisStat = Stat "Wisdom" 10 False

wisSkills :: [Skill]
wisSkills = [ Skill "Animal Handling" None "Wisdom"
            , Skill "Insight" None "Wisdom"
            , Skill "Medicine" None "Wisdom"
            , Skill "Perception" None "Wisdom"
            , Skill "Survival" None "Wisdom"
            ]

chaStat :: Stat
chaStat = Stat "Charisma" 10 False

chaSkills :: [Skill]
chaSkills = [ Skill "Deception" None "Charisma"
            , Skill "Intimidation" None "Charisma"
            , Skill "Performance" None "Charisma"
            , Skill "Persuasion" None "Charisma"
            ]

testSkills :: [Skill]
testSkills = strSkills ++ dexSkills ++ intSkills ++ wisSkills ++ chaSkills

testSpells :: [Spell]
testSpells = [ Spell { spellName = "Firetesticle"
                     , spellLevel = 3
                     , castingTime = "3 Minutes"
                     , range = 50
                     , components = [Verbal, Somatic]
                     , duration = "Instant"
                     , attackSave = "Dexterity"
                     , damageEffect = "Fire"
                     , description = "Shoots a huge testicle shaped fireball"
                     , school = "Conjuration"
                     , atHighLevel = "Cast more of the sodding things"
                     }
             ]

testFeatures :: [Feature]
testFeatures = [ Roleplay FeatInfo { featName = "fiets", featDescription = "allows you to ride a 'fiets'" } ]
